package ink.wgink.common.pojo.vos.env;

import ink.wgink.annotation.CheckListBeanAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName: EnvPO
 * @Description: 环境变量
 * @Author: wanggeng
 * @Date: 2022/5/16 10:36
 * @Version: 1.0
 */
@ApiModel
public class EnvListVO {

    @ApiModelProperty(name = "envs", value = "环境变量列表")
    @CheckListBeanAnnotation
    private List<EnvVO> envs;

    public List<EnvVO> getEnvs() {
        return envs == null ? new ArrayList() : envs;
    }

    public void setEnvs(List<EnvVO> envs) {
        this.envs = envs;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"envs\":")
                .append(envs);
        sb.append('}');
        return sb.toString();
    }
}
